# Generated by Django 2.0.6 on 2018-07-17 21:57

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id_categoria', models.AutoField(primary_key=True, serialize=False)),
                ('categoria', models.CharField(help_text='Nombre la categoría', max_length=60, unique=True)),
                ('descripcion', models.CharField(help_text='Descripción de la categoría', max_length=400)),
            ],
            options={
                'verbose_name': 'Categoria',
                'ordering': ['id_categoria'],
            },
        ),
        migrations.CreateModel(
            name='Lugar',
            fields=[
                ('id_lugar', models.AutoField(primary_key=True, serialize=False, verbose_name='Id_lugar')),
                ('slug', models.SlugField()),
                ('nombre', models.CharField(help_text='Nombre del Lugar', max_length=60, verbose_name='Nombre')),
                ('descripcion', models.TextField(blank=True, help_text='Descripción del Lugar', max_length=400, null=True)),
                ('capacidad', models.IntegerField(help_text='Número de personas que caben en el Lugar')),
                ('direccion', models.CharField(blank=True, help_text='Dirección del Lugar', max_length=150, null=True)),
                ('ciudad', models.CharField(blank=True, help_text='Ciudad donde se encuentra el Lugar', max_length=60, null=True)),
                ('img_ppal', models.ImageField(blank=True, default='lugares/img/lugar/default_lugar_ppal.png', help_text='Imagen principal del Lugar', null=True, upload_to='lugar/img/lugar')),
                ('img_slide', models.ImageField(blank=True, help_text='Imagen de un tamaño 1000 x 330 px, para mostrar en el slide de la sección Lugares', null=True, upload_to='lugar/img/lugar')),
                ('img_1', models.ImageField(blank=True, null=True, upload_to='lugar/img/lugar')),
                ('img_2', models.ImageField(blank=True, null=True, upload_to='lugar/img/lugar')),
                ('img_3', models.ImageField(blank=True, null=True, upload_to='lugar/img/lugar')),
                ('admin', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('categoria', models.ManyToManyField(to='lugares.Categoria', verbose_name='Lista of categorias')),
            ],
            options={
                'verbose_name': 'Lugar',
                'verbose_name_plural': 'Lugares',
                'ordering': ['id_lugar', 'nombre'],
            },
        ),
    ]
